Bug 1466065 - CC: Add config knob to disable lightweight CAs
CC: Add config knob to disable lightweight CAs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Fraser Tweedale
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 19:12 EDT by Matthew Harmsen
Modified: 2017-09-25 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-25 18:03:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2017-06-28 19:12:18 EDT
It might be useful, especially for Common Criteria, to have a config
knob for disabling lightweight CAs.
Comment 3 Christina Fu 2017-09-21 18:04:48 EDT
Does this mean that if we don't "disable" lightweight CAs, they are created by default?  if they are not created by default, then for CC we could just put in CC installation guide to warn people not to use it.
Comment 4 Fraser Tweedale 2017-09-21 20:12:21 EDT
No lightweight CAs get created by default; but by default a lightweight
CA *record* (database entry) does get created for the main CA.  Operationally
this has no effect if you are not using lightweight CAs - it's just "there".
Comment 5 Matthew Harmsen 2017-09-25 18:03:50 EDT
Per CS/DS Meeting 09/25/2017:  Close WONTFIX

Note You need to log in before you can comment on or make changes to this bug.